#!/usr/bin/perl
#
# statgen.pl
#
# Copyright (C) 2005 <lidia.yamamoto@unibas.ch>
#
# This file is distributed under the terms of the GNU general Public
# License (GPL), see the file COPYING
#

$best=shift(@ARGV);

if ($best eq "") {
    print stderr "usage: stat.pl <bestscore>\n";
}

$total=0;
$nindvs=0;
$ngood=0;
$nbad=0;

while (<>) {
    if ( /s[ \t]+([0-9\-]+)/ ) {
	$score=$1;
	$total += $score;
	$nindvs ++;
	if ($score >= $best * 0.8) {
	    $ngood ++;
	} elsif ($score < $best * 0.4) {
	    $nbad ++;
	}
    }
}

if ($nindvs > 0) {
    $average=$total/$nindvs;
    $pgood=100*$ngood/$nindvs;
    $pbad=100*$nbad/$nindvs;

    print "nindvs=$nindvs\n";
    print "average=$average\n";
    print "ngood=$ngood\n";
    print "pgood=$pgood\n";
    print "pbad=$pbad\n";
}

