#!/usr/bin/perl
#
# replacem.pl
#
# Copyright (C) 2005 <lidia.yamamoto@unibas.ch>
#
# This file is distributed under the terms of the GNU general Public
# License (GPL), see the file COPYING
#
#
# replace each genotype at marker by the corresponding marker at the
# first genotype of file
#
# used, for example, to change the loss rate of channel in order to
# simulate inserting individual in a different environment from the
# one in which it evolved.
#
$usage="usage: replacem.pl <marker>\n";

$marker = shift(@ARGV);

die $usage if ($marker eq "");

$replacem="";
while (<>) {
    if ( /^(g.*\/m[ \t]+${marker})(\/.*)$/ ) {
	# marker  found
	$before=$1;
	$after=$2;
	if ( $after =~ /^(.*)(\/m[ \t]+.*)$/ ) {
	    #found another marker afterwards
	    $mut=$1;
	    $after=$2;
	} else {
	    #no other marker found
	    $mut=$after;
	    $after="/";
	}

	if ($replacem eq "") {
	    $mut =~ s/\/$//;
	    $replacem = $mut;
	} else {
	    print "$before$replacem$after\n";
	}
    } else {
	# no marker found in genotype, so keep it as is (no mutation)
	print;
    }

}

