#!/bin/bash
#
# scores.sh
#
# Copyright (C) 2005 <lidia.yamamoto@unibas.ch>
#
# This file is distributed under the terms of the GNU general Public
# License (GPL), see the file COPYING
#

for lrdir in lr* ; do
    cd $lrdir
    rm -f best.gr worst.gr sizes.gr avg.gr pgood.gr pbad.gr
    for genf in ????.gen ; do
	if [ ! -s $genf ]; then
	    break
	fi

	CG=`basename $genf .gen`
	if [ ! -s $CG.sort ]; then
	    break
	fi

	best=`head -1 $CG.sort | perl -pe 's/s[ \t]*([0-9\-]+).*/$1/'`
	worst=`tail -2 $CG.sort | head -1 | perl -pe 's/s[ \t]*([0-9\-]+).*/$1/'`
	gsize=`cat $genf | wc -c`
	echo "$CG $best" >> best.gr
	echo "$CG $worst" >> worst.gr
	echo "$CG $gsize" >> sizes.gr

	if [ ! -s $CG.score ]; then
	    break
	fi
	../statgen.pl $best < $CG.score > $CG.stat
	avg=`cat $CG.stat | perl -ne 'print if ( s/average\=(.*)/$1/ )'`
	pg=`cat $CG.stat | perl -ne 'print if ( s/pgood\=(.*)/$1/ )'`
	pb=`cat $CG.stat | perl -ne 'print if ( s/pbad\=(.*)/$1/ )'`
	echo "$CG $avg" >> avg.gr
	echo "$CG $pg" >> pgood.gr
	echo "$CG $pb" >> pbad.gr
    done
    cd ..
done

